package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Testccc;
import com.realnet.vpspack.Services.TestcccService ;






@RequestMapping(value = "/Testccc")
 @CrossOrigin("*") 
@RestController
public class TestcccController {
	@Autowired
	private TestcccService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testccc")
		  public Testccc Savedata(@RequestBody Testccc data) {
		Testccc save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testccc/{id}")
	public  Testccc update(@RequestBody Testccc data,@PathVariable Integer id ) {
		Testccc update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testccc/getall/page")
	public Page<Testccc> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testccc> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testccc")
	public List<Testccc> getdetails() {
		 List<Testccc> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testccc")
	public List<Testccc> getallwioutsec() {
		 List<Testccc> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testccc/{id}")
	public  Testccc  getdetailsbyId(@PathVariable Integer id ) {
		Testccc  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testccc/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}